declare type ProblemType = "Analytical" | "Discrete";
declare type MinOrMax = 1 | -1;
declare type ProblemInfo = {
    problemId: number;
    problemName: string;
    problemType: ProblemType;
    objectiveNames: string[];
    variableNames: string[];
    nObjectives: number;
    ideal: number[];
    nadir: number[];
    minimize: MinOrMax[];
};
declare type ObjectiveDatum = {
    selected: boolean;
    value: number[];
};
declare type ObjectiveData = {
    values: ObjectiveDatum[];
    names: string[];
    directions: MinOrMax[];
    ideal: number[];
    nadir: number[];
};
declare type NavigationData = {
    upperBounds: number[][];
    lowerBounds: number[][];
    referencePoints: number[][];
    boundaries: number[][];
    totalSteps: number;
    stepsTaken: number;
    distance?: number;
    reachableIdx?: number[];
    stepsRemaining?: number;
    navigationPoint?: number[];
};
export type { ProblemInfo, ProblemType, MinOrMax, ObjectiveData, ObjectiveDatum, NavigationData, };
